| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Static Public Member Functions | List of all members
nkAstraeus::nkGraphicsWrap::NodeWrapper Class Referencefinal

Wraps a nkGraphics::Node and offers functions for use in scripting. More...

## Static Public Member Functions
static void | updateEnvironment (nkScripts::Environment *env)
static void | inherit (nkScripts::UserType *childType)
static nkScripts::OutputValue | setParentNode (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getParentNode (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | translateAbsolute (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | translateRelative (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | setPositionAbsolute (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | setPositionRelative (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getPositionAbsolute (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getPositionRelative (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | rotateAbsolute (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | rotateRelative (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | setOrientationAbsolute (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | setOrientationRelative (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getOrientationAbsolute (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getOrientationRelative (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | applyScale (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | setScaleAbsolute (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | setScaleRelative (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getScaleAbsolute (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getScaleRelative (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | setRelativeTransform (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | setAbsoluteTransform (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getRelativeTransform (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getAbsoluteTransform (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | updateTransformations (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | dispatchDirtyTransform (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | addEntityToTrack (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | stopEntityTracking (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getAbsoluteUp (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getAbsoluteFront (const nkScripts::DataStack &stack)
static nkScripts::OutputValue | getAbsoluteRight (const nkScripts::DataStack &stack)

## Detailed Description

Wraps a nkGraphics::Node and offers functions for use in scripting.

## Member Function Documentation

## ◆ updateEnvironment()

static void nkAstraeus::nkGraphicsWrap::NodeWrapper::updateEnvironment | ( | nkScripts::Environment * | env | ) |
| static

Updates a given environment and set it up to use all functions wrapped by this wrapper.

Parameters

  env | The environment to set up.

## ◆ inherit()

static void nkAstraeus::nkGraphicsWrap::NodeWrapper::inherit | ( | nkScripts::UserType * | childType | ) |
| static

Updates a given type with all the methods wrapped for the Node, effectively making it "inherit" from it.

Parameters

  childType | The user type on which to register all the Node's wrapper methods.

## ◆ setParentNode()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::NodeWrapper::setParentNode | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Node::setParentNode().

n:setParentNode(p) ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, empty.

## ◆ getParentNode()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::NodeWrapper::getParentNode | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Node::getParentNode().

local p = n:getParentNode() ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, as a nkGraphics::Node.

## ◆ translateAbsolute()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::NodeWrapper::translateAbsolute | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Node::translateAbsolute().

n:translateAbsolute(v) ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, empty.

## ◆ translateRelative()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::NodeWrapper::translateRelative | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Node::translateRelative().

n:translateRelative(v) ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, empty.

## ◆ setPositionAbsolute()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::NodeWrapper::setPositionAbsolute | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Node::setPositionAbsolute().

n:setPositionAbsolute(v) ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, empty.

## ◆ setPositionRelative()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::NodeWrapper::setPositionRelative | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Node::setPositionRelative().

n:setPositionRelative(v) ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, empty.

## ◆ getPositionAbsolute()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::NodeWrapper::getPositionAbsolute | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Node::getPositionAbsolute().

local v = n:getPositionAbsolute() ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, as a nkMaths::Vector.

## ◆ getPositionRelative()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::NodeWrapper::getPositionRelative | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Node::getPositionRelative().

local v = n:getPositionRelative() ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, as a nkMaths::Vector.

## ◆ rotateAbsolute()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::NodeWrapper::rotateAbsolute | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Node::rotateAbsolute().

n:rotateAbsolute(q) ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, empty.

## ◆ rotateRelative()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::NodeWrapper::rotateRelative | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Node::rotateRelative().

n:rotateRelative(q) ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, empty.

## ◆ setOrientationAbsolute()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::NodeWrapper::setOrientationAbsolute | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Node::setOrientationAbsolute().

n:setOrientationAbsolute(q) ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, empty.

## ◆ setOrientationRelative()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::NodeWrapper::setOrientationRelative | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Node::setOrientationRelative().

n:setOrientationRelative(q) ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, empty.

## ◆ getOrientationAbsolute()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::NodeWrapper::getOrientationAbsolute | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Node::getOrientationAbsolute().

local q = n:getOrientationAbsolute() ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, as a nkMaths::Quaternion.

## ◆ getOrientationRelative()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::NodeWrapper::getOrientationRelative | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Node::getOrientationRelative().

local q = n:getOrientationRelative() ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, as a nkMaths::Quaternion.

## ◆ applyScale()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::NodeWrapper::applyScale | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Node::applyScale().

n:applyScale(s) ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, empty.

## ◆ setScaleAbsolute()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::NodeWrapper::setScaleAbsolute | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Node::setScaleAbsolute().

n:setScaleAbsolute(s) ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, empty.

## ◆ setScaleRelative()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::NodeWrapper::setScaleRelative | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Node::setScaleRelative().

n:setScaleRelative(s) ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, empty.

## ◆ getScaleAbsolute()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::NodeWrapper::getScaleAbsolute | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Node::getScaleAbsolute().

local s = n:getScaleAbsolute() ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, as a nkMaths::Vector.

## ◆ getScaleRelative()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::NodeWrapper::getScaleRelative | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Node::getScaleRelative().

local s = n:getScaleRelative() ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, as a nkMaths::Vector.

## ◆ setRelativeTransform()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::NodeWrapper::setRelativeTransform | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Node::setRelativeTransform().

n:setRelativeTransform(t) ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, empty.

## ◆ setAbsoluteTransform()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::NodeWrapper::setAbsoluteTransform | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Node::setAbsoluteTransform().

n:setAbsoluteTransform(t) ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, empty.

## ◆ getRelativeTransform()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::NodeWrapper::getRelativeTransform | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Node::getRelativeTransform().

local t = n:getRelativeTransform() ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, as a nkMaths::Matrix.

## ◆ getAbsoluteTransform()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::NodeWrapper::getAbsoluteTransform | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Node::getAbsoluteTransform().

local t = n:getAbsoluteTransform() ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, as a nkMaths::Matrix.

## ◆ updateTransformations()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::NodeWrapper::updateTransformations | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Node::updateTransformations().

n:updateTransformations() ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, empty.

## ◆ dispatchDirtyTransform()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::NodeWrapper::dispatchDirtyTransform | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Node::addEntityToTrack().

n:addEntityToTrack(e) ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, empty.

## ◆ addEntityToTrack()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::NodeWrapper::addEntityToTrack | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Node::addEntityToTrack().

n:addEntityToTrack(e) ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, empty.

## ◆ stopEntityTracking()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::NodeWrapper::stopEntityTracking | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Node::stopEntityTracking().

n:stopEntityTracking(e) ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, empty.

## ◆ getAbsoluteUp()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::NodeWrapper::getAbsoluteUp | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Node::getAbsoluteUp().

local s = n:getAbsoluteUp() ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, as a nkMaths::Vector.

## ◆ getAbsoluteFront()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::NodeWrapper::getAbsoluteFront | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Node::getAbsoluteFront().

local s = n:getAbsoluteFront() ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, as a nkMaths::Vector.

## ◆ getAbsoluteRight()

static nkScripts::OutputValue nkAstraeus::nkGraphicsWrap::NodeWrapper::getAbsoluteRight | ( | const nkScripts::DataStack & | stack | ) |
| static

Wrapper function for nkGraphics::Node::getAbsoluteRight().

local s = n:getAbsoluteRight() ;

Parameters

  stack | The parameter stack.

Returns
  The attribute value, as a nkMaths::Vector.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsAstraeus/Scripts/nkGraphicsWrap/Graph/NodeWrapper.h